Skip to content
OpenRelay is in early access, and the /v1 API is stable. New capabilities ship in the changelog.
Batches

Get a batch by id

GET
/v1/batches/{id}
AuthorizationBearer <token>

OpenRelay API key. Send it as Authorization: Bearer vl_….

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/batches/string"
{
  "id": "string",
  "object": "batch",
  "endpoint": "string",
  "input_file_id": "string",
  "completion_window": "24h",
  "status": "validating",
  "model": "string",
  "output_file_id": "string",
  "error_file_id": "string",
  "created_at": 0,
  "expires_at": 0,
  "completed_at": 0,
  "failed_at": 0,
  "expired_at": 0,
  "cancelled_at": 0,
  "request_counts": {
    "total": 0,
    "completed": 0,
    "failed": 0
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "cost_nano_usd": 0
  },
  "metadata": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string"
  }
}

Command line

The orl CLI wraps this endpoint:

orl batches get <id>